<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::StaticGeometry::MaterialBucket Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#613fae1a1f3a0524e972f4bc9cbb5a44">addRenderables</a>(RenderQueue *queue, uint8 group, Real camSquaredDist)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#73c3eb66a47f97224dcbeb48dc9bb6c5">assign</a>(QueuedGeometry *qsm)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a3a817dab145e00ab3c07f1f62556f33">build</a>(bool stencilShadows)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#4a21218714f6d750336af9fad86da823">CurrentGeometryMap</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#823eca275c2d617cc5736a117bf048a0">dump</a>(std::ofstream &amp;of) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#59961706795c7ad082210c65748d0c83">GeometryBucketList</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#b2f7c7785a86b2bf05998b96b73c5952">GeometryIterator</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a64dfa9bd9617249def12e684dde9caa">getCurrentTechnique</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#c26fb3711b115766aae0a1d2b123627d">getGeometryFormatString</a>(SubMeshLodGeometryLink *geom)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#fbacbd597b172a0a3fbb59223cebc134">getGeometryIterator</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a338a96b9145a0c01e33da7e4728111c">getMaterial</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#5d5aba36b489789f297a57087f223d85">getMaterialName</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#b454a749c2ba7bae4002c70ed5afa626">getParent</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#e4abb9d4a5a88ff4cb1fb0f4b1fcac88">MaterialBucket</a>(LODBucket *parent, const String &amp;materialName)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#912c4811ed0139c062c652379bb1a934">mCurrentGeometryMap</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#98201e87d7d58a688a522c76864a19fa">mGeometryBucketList</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#98238b3d99e1b247a587ae1fba6ab733">mMaterial</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#d9732afaff3edb7e770816e80843e772">mMaterialName</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#7c1560c621c28c3dedde95a6478f603f">mParent</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#3622d108622b55d5da61c1db57f9b0e8">mTechnique</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#d0fed93d61daf061b73952e81d1143ff">~MaterialBucket</a>()</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">Ogre::StaticGeometry::MaterialBucket</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:08 2008
</p>
</body>
</html>
